#ifndef __TISTACK_HH
#define __TISTACK_HH
//
// Project : misc
// File    : TISTACK.hh
// Purpose : class for a stack for intersection points
// Author  : Ronald Kriemann
//
// arch-tag: 9ff599a6-def8-4a65-9518-895cab795a37
//

#include "TSLL.hh"
#include "THPDesc.hh"

namespace RGL
{

//
// stores intersection points ordered
//
class TIStack : public TSLL< THPDesc >
{
public:
    //
    // insert an intersection point into stack (ordered)
    //

    void insert ( const THPDesc & hp );
};

}// namespace

#endif  // __TISTACK_HH
