//
// Project : lib3D
// File    : TPinholeCamera.cc
// Purpose : Declaration of a class for central-projection
// Author  : Ronald Kriemann
//
// arch-tag: 64ed74ae-3ed7-4042-86f2-0c76dcb61d34
//

#include "TPinholeCamera.hh"

namespace RGL
{

//////////////////////////////////////////////
//
// constructor and destructor
//

TPinholeCamera::TPinholeCamera ()
        : TCamera()
{
}

TPinholeCamera::~TPinholeCamera ()
{
}

//
// update internal data
//
void
TPinholeCamera::update ()
{
    TCamera::update();

    // setup start direction
    _start_dir.set( 1.0, _ulc, -1.0, _origin );
}

} // namespace

